Get Web Editor URL
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/webEditor \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobs": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/webEditor"
payload = { "jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}]})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/webEditor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"warnings": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
]
}Job
Get Web Editor URL
deprecated
Possible warning codes are:
NOT_ACCEPTED_BY_LINGUIST- Job is not accepted by linguistNOT_ASSIGNED_TO_LINGUIST- Job is not assigned to linguistPDF- One of requested jobs is PDFPREVIOUS_WORKFLOW_NOT_COMPLETED- Previous workflow step is not completedPREVIOUS_WORKFLOW_NOT_COMPLETED_STRICT- Previous workflow step is not completed and project has strictWorkflowFinish set to true
Possible error codes are:
ASSIGNED_TO_OTHER_USER- Job is accepted by other userNOT_UNIQUE_TARGET_LANG- Requested jobs contains different target localesTOO_MANY_SEGMENTS- Count of requested job’s segments is higher than 40000
Warning response example:
{
"warnings": [
{
"message": "Not accepted by linguist",
"args": {
"jobs": [
"abcd1234"
]
},
"code": "NOT_ACCEPTED_BY_LINGUIST"
},
{
"message": "Previous workflow step not completed",
"args": {
"jobs": [
"abcd1234"
]
},
"code": "PREVIOUS_WORKFLOW_NOT_COMPLETED"
}
],
"url": "/web/job/abcd1234-efgh5678/translate"
}
Error response example:
Status: 400 Bad Request
{
"errorCode": "NOT_UNIQUE_TARGET_LANG",
"errorDescription": "Only files with identical target languages can be joined",
"errorDetails": [
{
"code": "NOT_UNIQUE_TARGET_LANG",
"args": {
"targetLocales": [
"de",
"en"
]
},
"message": "Only files with identical target languages can be joined"
},
{
"code": "TOO_MANY_SEGMENTS",
"args": {
"maxSegments": 40000,
"segments": 400009
},
"message": "Up to 40000 segments can be opened in the CAT Web Editor, job has 400009 segments"
}
]
}
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
webEditor
Get Web Editor URL
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Body
application/json
Jobs to open in the Web Editor
Required array length:
1 - 2147483647 elementsShow child attributes
Show child attributes
Was this page helpful?